### Function

# EBook BookClient get_self

since: 3.2

#### Declaration [src]

    gboolean
    e_book_client_get_self (
      ESourceRegistry* registry,
      EContact** out_contact,
      EBookClient** out_client,
      GError** error
    )

#### Description [src]

Get the `EContact` referring to the user of the address book and set it in `out_contact` and `out_client`.

Available since: 3.2

#### Parameters

`registry`

  Type: `ESourceRegistry`

  An `ESourceRegistry`.

  The data is owned by the caller of the function.

`out_contact`

  Type: `EContact`

  An `EContact` pointer to set.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`out_client`

  Type: `EBookClient`

  An `EBookClient` pointer to set.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, otherwise `FALSE`.